Index: trunk/admin/modules/Elezioni/ele_lista.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_lista.php	(revision 203)
+++ trunk/admin/modules/Elezioni/ele_lista.php	(revision 204)
@@ -28,10 +28,10 @@
 if (isset($param['min'])) $min=intval($param['min']); else $min=0;
 if (isset($param['ok'])) get_magic_quotes_gpc() ? $ok=$param['ok']:$ok=addslashes($param['ok']); else $ok='';
-if (isset($param['id_lista'])) $id_lista=intval($param['id_lista']); else $id_lista='';
+if (isset($param['id_lista'])) $id_lista=intval($param['id_lista']); else $id_lista=0;
 if (isset($param['id_circ'])) {$id_circ=intval($param['id_circ']); $_SESSION['id_circ']=$id_circ;} else
-	if (isset($_SESSION['id_circ'])) $id_circ=intval($_SESSION['id_circ']); else $id_circ='';
-if (isset($param['id_gruppo'])) $id_gruppo=intval($param['id_gruppo']); else $id_gruppo='';
-if (isset($param['id_gruppo2'])) $id_gruppo2=intval($param['id_gruppo2']); else $id_gruppo2='';
-if (isset($param['num_lista'])) $num_lista=intval($param['num_lista']); else $num_lista='';
+	if (isset($_SESSION['id_circ'])) $id_circ=intval($_SESSION['id_circ']); else $id_circ=0;
+if (isset($param['id_gruppo'])) $id_gruppo=intval($param['id_gruppo']); else $id_gruppo=0;
+if (isset($param['id_gruppo2'])) $id_gruppo2=intval($param['id_gruppo2']); else $id_gruppo2=0;
+if (isset($param['num_lista'])) $num_lista=intval($param['num_lista']); else $num_lista=0;
 if (isset($param['descr_lista'])) get_magic_quotes_gpc() ? $descr_lista=$param['descr_lista']:$descr_lista=addslashes($param['descr_lista']); else $descr_lista='';
 if (isset($param['simbolo'])) get_magic_quotes_gpc() ? $simbolo=$param['simbolo']:$simbolo=addslashes($param['simbolo']); else $simbolo='';
Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 203)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 204)
@@ -34,10 +34,10 @@
 if (isset($param['av'])) $av=intval($param['av']); else $av='';
 if (isset($param['id_circ'])) $id_circ=intval($param['id_circ']); else
-	if (isset($_SESSION['id_circ'])) $id_circ=intval($_SESSION['id_circ']); else $id_circ='';
-if (isset($param['id_sede'])) $id_sede=intval($param['id_sede']); else $id_sede='';
+	if (isset($_SESSION['id_circ'])) $id_circ=intval($_SESSION['id_circ']); else $id_circ='0';
+if (isset($param['id_sede'])) $id_sede=intval($param['id_sede']); else $id_sede='0';
 if (isset($param['id_sez'])) $id_sez=intval($param['id_sez']); else $id_sez='';
-if (isset($param['id_lista'])) $id_lista=intval($param['id_lista']); else $id_lista='';
-if (isset($param['prev_sez'])) $prev_sez=intval($param['prev_sez']); else $prev_sez='';
-if (isset($param['id_gruppo'])) $id_gruppo=intval($param['id_gruppo']); else $id_gruppo='';
+if (isset($param['id_lista'])) $id_lista=intval($param['id_lista']); else $id_lista='0';
+if (isset($param['prev_sez'])) $prev_sez=intval($param['prev_sez']); else $prev_sez='0';
+if (isset($param['id_gruppo'])) $id_gruppo=intval($param['id_gruppo']); else $id_gruppo='0';
 if (isset($param['update'])) $update=intval($param['update']); else $update='';
 include("modules/Elezioni/funzionidata.php");
@@ -167,6 +167,18 @@
 					list($votils)=mysql_fetch_row($res4);
 					if($votils>0) {
+						$query="SELECT id_lista FROM ".$prefix."_ele_lista where id_cons='$id_cons'";
+						$res3 = mysql_query("$query", $dbi);
+						$testcand=0;
+						while(list($testlista)=mysql_fetch_row($res3)){
+							$res4= mysql_query("SELECT sum(voti) FROM ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_sez='$id_sez' and id_lista='$testlista'", $dbi);
+							if($res4) list($testvotil)=mysql_fetch_row($res4); else $testvotil=0;
+							$res4= mysql_query("SELECT sum(t1.voti) FROM ".$prefix."_ele_voti_candidati as t1 left join ".$prefix."_ele_candidati as t2 on t1.id_cand=t2.id_cand where t1.id_cons='$id_cons' and  t1.id_sez='$id_sez' and t2.id_lista='$testlista'", $dbi);
+							if($res4) list($testvotic)=mysql_fetch_row($res4); else $testvotic=0;
+							$res4= mysql_query("SELECT preferenze FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'", $dbi);
+							if($res4) list($testpref)=mysql_fetch_row($res4); else $testpref=0;
+							if(($testvotil*$testpref)<$testvotic) { $testcand=1;break;}
+						}
 						if($genere==4 or $votog) $contestatilista=0;
-						if (($votils+$sologruppo+$contestatilista+$votinullilista)==($validi+$sololista) and $validilista==$votils)
+						if (($votils+$sologruppo+$contestatilista+$votinullilista)==($validi+$sololista) and $validilista==$votils and $testcand==0)
 							{$status=1;$ops=-3;}
 						else {return 3;}
@@ -768,5 +780,6 @@
 			mysql_query("delete from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_sez='$id_sez'", $dbi);
 			mysql_query("delete from ".$prefix."_ele_voti_candidati where id_cons='$id_cons' and id_sez='$id_sez'", $dbi);
-			mysql_query("update  ".$prefix."_ele_sezioni set validi_lista='',contestati_lista='',voti_nulli_lista='',solo_gruppo='' where id_cons='$id_cons' and id_sez='$id_sez'", $dbi);
+			if($genere!=4)
+				mysql_query("update  ".$prefix."_ele_sezioni set validi_lista='0',contestati_lista='0',voti_nulli_lista='0',solo_gruppo='0' where id_cons='$id_cons' and id_sez='$id_sez'", $dbi);
 	
 	}else{