Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 206)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 207)
@@ -516,6 +516,6 @@
 $bgcolor2=$_SESSION['bgcolor2'];
     //controlla se sono stati inseriti i votanti
-$result = mysql_query("SELECT preferenze, id_fascia from ".$prefix."_ele_cons_comune where id_cons='$id_cons'",$dbi);
-list($numprefs,$fascia)=mysql_fetch_row($result);
+$result = mysql_query("SELECT preferenze, id_fascia, id_conf from ".$prefix."_ele_cons_comune where id_cons='$id_cons'",$dbi);
+list($numprefs,$fascia,$id_conf)=mysql_fetch_row($result);
     
 if(!$votog and ($genere==3 or $genere==5))
@@ -531,5 +531,5 @@
 		$ele_lista='';
 		if (($genere==4 or $genere==5) and !$votoc) { //liste a piu' candidati
-			if(($genere==5 and $fascia<=$limite) and !$id_lista) { //esclude il voto di lista per le comunali nei comuni sotto fascia limite
+			if(($genere==5 and $fascia<=$limite and $id_conf) and !$id_lista) { //esclude il voto di lista per le comunali nei comuni sotto fascia limite
 				$result = mysql_query("SELECT id_lista from ".$prefix."_ele_lista where id_cons=$id_cons limit 0,1",$dbi);
 				list($id_lista)=mysql_fetch_row($result);
@@ -552,5 +552,5 @@
 			$result = mysql_query("SELECT sum(t1.voti) from ".$prefix."_ele_voti_candidati as t1 left join ".$prefix."_ele_candidati as t2 on (t1.id_cand=t2.id_cand) where t1.id_sez=$id_sez and t2.id_lista=$id_rif",$dbi);
 			list($votisezcand)=mysql_fetch_row($result);
-			if($fascia>$limite or $genere==4)
+			if(($fascia>$limite or !$id_conf) or $genere==4)
                                 $result = mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_sez='$id_sez' and id_lista='$id_rif'", $dbi);
                         else{
@@ -601,5 +601,5 @@
 			$result = mysql_query("SELECT sum(t1.voti) from ".$prefix."_ele_voti_candidati as t1 left join ".$prefix."_ele_candidati as t2 on (t1.id_cand=t2.id_cand) where t1.id_sez=$id_sez and t2.id_lista=$id_lista",$dbi);
 			list($votisezcand)=mysql_fetch_row($result);
-			if($fascia>$limite)
+			if($fascia>$limite or !$id_conf)
                                 $result = mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_sez='$id_sez' and id_lista='$id_lista'", $dbi);
                         else{
@@ -703,5 +703,5 @@
 		// toglie ai candidati la visual... del solo_gruppo 
 		if(!$votog) {
-		   if (($genere==3 OR $genere==5) and (!$id_lista) and ($fascia>$limite)) { //gruppo e liste
+		   if (($genere==3 OR $genere==5) and (!$id_lista) and ($fascia>$limite or !$id_conf)) { //gruppo e liste
 			echo "<tr bgcolor=\"$bgcolor2\"><td></td><td><b>"._VALIDI_LISTA."</b></td><td align=\"center\"><input type=\"hidden\" name=\"id_sez\" value=\"$id_sez\"><input name=\"valista\" value=\"$valista\" size=\"5\" style=\"text-align:right\"></td></tr>";
 			echo "<tr bgcolor=\"$bgcolor2\"><td></td><td><b>"._SOLO_GRUPPO."</b></td><td align=\"center\"><input name=\"sg\" value=\"$sg\" size=\"5\" style=\"text-align:right\"></td></tr>";
@@ -709,9 +709,9 @@
 	."</td></tr><tr bgcolor=\"$bgcolor2\"><td></td><td><b>"._CONTESTATI_LISTE."</b></td><td align=\"center\"><input  name=\"contestati\" value=\"$contestati\" size=\"5\" style=\"text-align:right\"></td></tr>";
 			
-		   }elseif (($genere==3 OR $genere==5) and !$votoc and $fascia>$limite){ //}elseif ($tipo_cons!=10 and $tipo_cons!=11){
+		   }elseif (($genere==3 OR $genere==5) and !$votoc and ($fascia>$limite or !$id_conf)){ //}elseif ($tipo_cons!=10 and $tipo_cons!=11){
 			echo "<tr bgcolor=\"$bgcolor1\"><td></td><td><b>"._SOLO_GRUPPO."</b></td><td align=\"center\">$sg</td></tr>";
 		   }
 ######modifica del 16-04-2009 per visualizzare i voti al solo sindaco nei comuni con meno di 15000 abitanti
-elseif(($genere==3 OR $genere==5) and ($id_lista) and ($fascia<=$limite)) {
+elseif(($genere==3 OR $genere==5) and ($id_lista) and ($fascia<=$limite or !$id_conf)) {
 $resvg = mysql_query("SELECT id_gruppo FROM ".$prefix."_ele_lista where id_lista='$id_lista'", $dbi);
 list($id_gruppo) = mysql_fetch_row($resvg);
@@ -751,9 +751,9 @@
 function rec_voti() {
 	global $prefix, $dbi,$aid,$id_cons,$ops,$genere,$votog,$fileout,$id_comune,$limite,$update;
-	$sqlcomu="select id_fascia from ".$prefix."_ele_cons_comune where id_cons='$id_cons'";
+	$sqlcomu="select id_fascia,id_conf from ".$prefix."_ele_cons_comune where id_cons='$id_cons'";
 	$res = mysql_query($sqlcomu);
 	if($res)
-		list($fascia)=mysql_fetch_row($res);
-	else $fascia=0;
+		list($fascia,$id_conf)=mysql_fetch_row($res);
+	else {$fascia=0; $id_conf=0;}
 	if ($fileout) while (!$fp = fopen($fileout,"a"));
 	$username=$aid;
@@ -775,5 +775,5 @@
 		$condizione="id_lista";
 	}
-	if ((($genere==3) OR ($genere==5)) and !$id_lista and !$votog and ($fascia>$limite)) $y = (count($arg)-4);
+	if ((($genere==3) OR ($genere==5)) and !$id_lista and !$votog and ($fascia>$limite or !$id_conf)) $y = (count($arg)-4);
 	else $y=count($arg);
 	if($do==1) {