Index: trunk/admin/versione.php
===================================================================
--- trunk/admin/versione.php	(revision 211)
+++ trunk/admin/versione.php	(revision 212)
@@ -1,3 +1,3 @@
 <?php
-$versione="2.0 rev 209";
+$versione="2.0 rev 212";
 ?> 
Index: trunk/client/modules/Elezioni/index.php
===================================================================
--- trunk/client/modules/Elezioni/index.php	(revision 211)
+++ trunk/client/modules/Elezioni/index.php	(revision 212)
@@ -20,5 +20,5 @@
 if (isset($param['pdf'])) $pdf=intval($param['pdf']); else $pdf='0';
 if (isset($param['datipdf'])) get_magic_quotes_gpc() ? $datipdf=$param['datipdf']:$datipdf=addslashes($param['datipdf']); else $datipdf='';
-if(isset($param['visgralista'])) $visgralista=1;
+if(isset($param['visgralista'])) $visgralista=intval($param['visgralista']); else $visgralista=1;
 if (isset($param['id_comune'])) $id_comune=intval($param['id_comune']); else $id_comune=$siteistat;
 if (isset($param['id_cons_gen'])) $id_cons_gen=intval($param['id_cons_gen']); else 
@@ -1021,7 +1021,7 @@
 	
 function grafici($id_cons) {
-
+global $visgralista;
 //graf_votanti();
-graf_gruppo(0);
+graf_gruppo($visgralista);
 //graf_candidato();
 
Index: trunk/client/modules/Elezioni/menu.php
===================================================================
--- trunk/client/modules/Elezioni/menu.php	(revision 211)
+++ trunk/client/modules/Elezioni/menu.php	(revision 212)
@@ -188,6 +188,8 @@
 			}
       		}
-		if ($hondt>=1) {
-					echo "<option value=\"consiglieri\" ".$temp['consiglieri']." >"._CALCONS."</option>";
+      		$resc = mysql_query("SELECT chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" , $dbi);
+      		list($chiusa)=mysql_fetch_row($resc); 
+		if ($hondt>=1 and $chiusa==1) {
+			echo "<option value=\"consiglieri\" ".$temp['consiglieri']." >"._CALCONS."SELECT chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'"."$chiusa</option>";
 				
 			
Index: trunk/client/temi/facebook/menu.php
===================================================================
--- trunk/client/temi/facebook/menu.php	(revision 211)
+++ trunk/client/temi/facebook/menu.php	(revision 212)
@@ -160,5 +160,8 @@
 			}
       		}
-	if ($hondt>=1) {
+                $resc = mysql_query("SELECT chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" , $dbi);
+                list($chiusa)=mysql_fetch_row($resc);
+
+                if ($hondt>=1 and $chiusa==1) {
 		     echo "<li class=\"icon dontd\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=consiglieri\">"._CALCONS."</a></li>"; 			
 
@@ -185,5 +188,5 @@
 		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo\">"._GRUPPO."</a></li>"; 
 if(($genere==5 or $genere==3) and $fascia>$limite)
-		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_gruppo&amp;visgralista=1\">"._LISTA."</a></li>"; 
+		echo "<li class=\"icon graf\"><a href=\"modules.php?id_cons_gen=$id_cons_gen&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;op=graf_lista&amp;visgralista=1\">"._LISTA."</a></li>"; 
 		
 		if ($genere>3){
Index: trunk/client/temi/tour/index.php
===================================================================
--- trunk/client/temi/tour/index.php	(revision 211)
+++ trunk/client/temi/tour/index.php	(revision 212)
@@ -8,6 +8,10 @@
 /* tema tour per far girare le pagine in automatico */
 /* le pagine vanno messe nel file config,php */
-
 global $tour;
+if (file_exists("temi/tour/config.php")) {
+	include_once 'temi/tour/config.php';
+}
+
+if(!isset($lista_ruota)){
 $lista_ruota=array(     'affluenze_graf',
                         'graf_votanti',
@@ -15,4 +19,5 @@
 			'graf_lista'
                  );
+}
 $blocco=0;
 
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 211)
+++ trunk/client/versione.php	(revision 212)
@@ -1,3 +1,3 @@
 <?php
-$versione="2.0 rev 209";
+$versione="2.0 rev 212";
 ?> 