Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 214)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 215)
@@ -157,4 +157,7 @@
 			}
 		}
+		$res4= mysql_query("SELECT t1.preferenze,t1.id_fascia,t2.limite FROM ".$prefix."_ele_cons_comune as t1 left join ".$prefix."_ele_conf on t1.id_conf=t2.id_conf where t1.id_cons='$id_cons'", $dbi);
+		if($res4) list($testpref,$fascia,$limite)=mysql_fetch_row($res4); else {$testpref=0;$fascia=0;$limite=0;}
+
 		#controllo congruenza voti di lista
 		$res3= mysql_query("SELECT sum(voti) FROM ".$prefix."_ele_voti_lista where id_cons='$id_cons'", $dbi);
@@ -184,4 +187,24 @@
 						else {return 3;}
 					} #else return 0;
+			}elseif($genere==5 and $fascia<=$limite){
+				$testcand=0;
+				$query="SELECT id_lista,id_gruppo FROM ".$prefix."_ele_lista where id_cons='$id_cons'";
+				$res3 = mysql_query("$query", $dbi);
+				$tutte=1;
+				while(list($testlista,$testgruppo)=mysql_fetch_row($res3)){				
+				$res4= mysql_query("SELECT sum(voti) FROM ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez' and id_gruppo='$testgruppo'", $dbi);
+				if($res4) list($testvotit)=mysql_fetch_row($res4); else $testvotit=0;
+				$res4= mysql_query("SELECT sum(t1.voti) FROM ".$prefix."_ele_voti_candidati as t1 left join ".$prefix."_ele_candidati as t2 on t1.id_cand=t2.id_cand where t1.id_cons='$id_cons' and  t1.id_sez='$id_sez' and t2.id_lista='$testlista'", $dbi);
+				if($res4) list($testvotic)=mysql_fetch_row($res4); else $testvotic=0;
+				$res4= mysql_query("SELECT count(0) FROM ".$prefix."_ele_voti_candidati as t1 left join ".$prefix."_ele_candidati as t2 on t1.id_cand=t2.id_cand where t1.id_cons='$id_cons' and  t1.id_sez='$id_sez' and t2.id_lista='$testlista'", $dbi);
+				list($contains)=mysql_fetch_row($res4);
+                                if($contains==0) $tutte=0;
+
+
+				if(($testvotit*$testpref)<$testvotic) {$testcand=1;break;}
+				}
+				if($testcand==0)
+					{$status=$tutte;$ops=-3;}
+				else {return 3;}
 			}
 		}elseif($ops==-3){ $ops=-4;}	
@@ -561,5 +584,8 @@
 			while(list($id_rif,$descrizione,$num_lis) = mysql_fetch_row($res_lis)) {
 			$segna='';
+			$result = mysql_query("SELECT count(t1.voti) from ".$prefix."_ele_voti_candidati as t1 left join ".$prefix."_ele_candidati as t2 on (t1.id_cand=t2.id_cand) where t1.id_sez=$id_sez and t2.id_lista=$id_rif",$dbi);
+			list($ctrvoticand)=mysql_fetch_row($result);
 			$result = mysql_query("SELECT sum(t1.voti) from ".$prefix."_ele_voti_candidati as t1 left join ".$prefix."_ele_candidati as t2 on (t1.id_cand=t2.id_cand) where t1.id_sez=$id_sez and t2.id_lista=$id_rif",$dbi);
+			$ctrvoticand=mysql_num_rows($result);
 			list($votisezcand)=mysql_fetch_row($result);
 			if(($fascia>$limite or !$id_conf) or $genere==4)
@@ -574,5 +600,6 @@
 			if($votisezcand>($votisezlis*$numprefs))
 				$segna="style=\"background-color: #dd0000;\"";
-
+			elseif($ctrvoticand)
+				$segna="style=\"background-color: #99CC33;\"";
 
 
@@ -725,5 +752,5 @@
 		   }
 ######modifica del 16-04-2009 per visualizzare i voti al solo sindaco nei comuni con meno di 15000 abitanti
-elseif(($genere==3 OR $genere==5) and ($id_lista) and ($fascia<=$limite or !$id_conf)) {
+elseif(($genere==3 OR $genere==5) and ($id_lista) and ($fascia<=$limite or !$id_conf) and $numprefs==1) {
 $resvg = mysql_query("SELECT id_gruppo FROM ".$prefix."_ele_lista where id_lista='$id_lista'", $dbi);
 list($id_gruppo) = mysql_fetch_row($resvg);
Index: trunk/admin/versione.php
===================================================================
--- trunk/admin/versione.php	(revision 214)
+++ trunk/admin/versione.php	(revision 215)
@@ -1,3 +1,3 @@
 <?php
-$versione="2.0 rev 214";
+$versione="2.0 rev 215";
 ?> 
Index: trunk/client/modules/Elezioni/index.php
===================================================================
--- trunk/client/modules/Elezioni/index.php	(revision 214)
+++ trunk/client/modules/Elezioni/index.php	(revision 215)
@@ -525,4 +525,9 @@
 
 	####################### inserimento scrutinio in percentuale -- per i gruppi
+	$NicolaSez = mysql_query("SELECT COUNT( id_sez ) FROM ".$prefix."_ele_sezioni WHERE validi <>0 AND id_cons ='$id_cons'",$dbi);
+	$NicolaSezScrut = mysql_fetch_row($NicolaSez);
+	$NicolaSez = mysql_query("SELECT COUNT( id_sez ) FROM ".$prefix."_ele_sezioni WHERE id_cons ='$id_cons'",$dbi);
+	$NicolaSezTot = mysql_fetch_row($NicolaSez);
+	
 		$resperc=mysql_query("select sum(validi),sum(nulli+bianchi+contestati+voti_nulli+solo_lista) from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
 		list($scruvalidi,$scrunulli)=mysql_fetch_row($resperc);
@@ -551,5 +556,6 @@
 		$listtotschede=$totschede;
 		$listtotvoti=($scruvalidi+$scrunulli);
-	    echo "<h6>Voti alle Liste: Scrutinate $listtotvoti schede su $listtotschede ($listpercscru %)</h6>";
+		echo "<h6>Voti alle Liste: pervenute: $NicolaSezScrut[0] sezioni su $NicolaSezTot[0] <br/>  Scrutinate $listtotvoti schede su $listtotschede ($listpercscru %)</h6>";
+#	    echo "<h6>Voti alle Liste: Scrutinate $listtotvoti schede su $listtotschede ($listpercscru %)</h6>";
 	}
 		echo "</td></tr></table> ";
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 214)
+++ trunk/client/versione.php	(revision 215)
@@ -1,3 +1,3 @@
 <?php
-$versione="2.0 rev 214";
+$versione="2.0 rev 215";
 ?> 