Index: trunk/sql/README.txt
===================================================================
--- trunk/sql/README.txt	(revision 222)
+++ trunk/sql/README.txt	(revision 223)
@@ -4,8 +4,39 @@
 http://www.eleonline.it
 
+Prima di aggiornare il database ricordatevi di farne una copia
+Se non volete aggiornare a mano ,il file update_2014.php vi aiuta ad aggirnare tutti gli ultimi sql del 2014
+Per lanciarlo sql/update_2014.php
+
+
+
 
 =====================
 Sql e Update dababase
 =====================
+
+1 giugno 2014
+---------------
+Creazione tabella soraldo_ele_controllosez per il controllo delle sezioni
+file: aggiornamento-2.0_2014-05.01.sql
+
+2 maggio 2014
+-----------------
+Modificata la struttura e i tipi i consultazione soraldo_ele_tipo
+file: aggiornamento-2.0_2014-05.02.sql
+
+22 aprile 2014
+-----------------
+Modificata la struttura di soraldo_ele_conf e soraldo_ele_fasce 
+file: aggiornamento-2.0_2014-04.022.sql 
+
+
+ 
+
+
+23 marzo 2014
+--------------
+Modificata la struttura di soraldo_ele_conf e inseriti i dati relativi alle norme do modifica delle consulatzioni elettorali
+file: aggiornamento-2.0_2014-03.02.sql 
+(aggiornamento sostituito dal successivo del 22 aprile)
 
 02 marzo 2014
Index: trunk/sql/aggiornamento-2.0_2014-03-23.sql
===================================================================
--- trunk/sql/aggiornamento-2.0_2014-03-23.sql	(revision 222)
+++ trunk/sql/aggiornamento-2.0_2014-03-23.sql	(revision 223)
@@ -1,13 +1,2 @@
-
---
--- Database: `eleonline`
---
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_conf`
---
-
 DROP TABLE IF EXISTS `soraldo_ele_conf`;
 CREATE TABLE `soraldo_ele_conf` (
@@ -33,8 +22,4 @@
 ) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;
 
---
--- Dump dei dati per la tabella `soraldo_ele_conf`
---
-
 INSERT INTO `soraldo_ele_conf` (`id_conf`, `descrizione`, `limite`, `consin`, `infpremio`, `supsbarramento`, `suppremio`, `listinfsbar`, `listinfconta`, `listsupconta`, `supminpremio`, `infminpremio`, `infdisgiunto`, `supdisgiunto`, `votolista`, `inffisso`, `supfisso`, `fascia_capoluogo`) VALUES
 (1, 'Legge Italiana 267/2000', 3, '1', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0', '0', '0', '0', 6),
Index: trunk/sql/aggiornamento-2.0_2014-04-22.sql
===================================================================
--- trunk/sql/aggiornamento-2.0_2014-04-22.sql	(revision 222)
+++ trunk/sql/aggiornamento-2.0_2014-04-22.sql	(revision 223)
@@ -1,10 +1,2 @@
--- phpMyAdmin SQL Dump
--- version 4.1.6
--- http://www.phpmyadmin.net
---
--- Host: 127.0.0.1
--- Generation Time: Apr 22, 2014 alle 23:11
--- Versione del server: 5.6.16
--- PHP Version: 5.5.9
 
 DROP TABLE `soraldo_ele_conf`;
@@ -31,12 +23,4 @@
 ) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;
 
-
---
--- Dumping data for table `soraldo_ele_conf`
---
-
-
-/*!40000 ALTER TABLE `soraldo_ele_conf` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_conf` WRITE;
 INSERT INTO `soraldo_ele_conf` (`id_conf`, `descrizione`, `limite`, `consin`, `infpremio`, `supsbarramento`, `suppremio`, `listinfsbar`, `listinfconta`, `listsupconta`, `supminpremio`, `infminpremio`, `infdisgiunto`, `supdisgiunto`, `votolista`, `inffisso`, `supfisso`, `fascia_capoluogo`) VALUES
 (1, 'Legge Italiana 267/2000', 3, '1', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0', '0', '0', '0', 6),
@@ -47,17 +31,6 @@
 (6, 'Legge Italiana 267/2000 con riduzione 2012', 3, '1', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0', '0', '0', '0', 7),
 (7, 'Legge Italiana 267/2000 con modifiche 2014', 3, '1', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0', '0', '0', '0', 6);
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_conf` ENABLE KEYS */;
 
 
---
--- Database: `eleonline`
---
-
--- --------------------------------------------------------
-
---
--- Struttura della tabella `soraldo_ele_fasce`
---
 DROP TABLE `soraldo_ele_fasce`;
 
@@ -70,7 +43,4 @@
 ) ENGINE=MyISAM DEFAULT CHARSET=latin1;
 
---
--- Dump dei dati per la tabella `soraldo_ele_fasce`
---
 
 INSERT INTO `soraldo_ele_fasce` (`id_fascia`, `abitanti`, `seggi`, `id_conf`) VALUES
Index: trunk/sql/aggiornamento-2.0_2014-05-02.sql
===================================================================
--- trunk/sql/aggiornamento-2.0_2014-05-02.sql	(revision 222)
+++ trunk/sql/aggiornamento-2.0_2014-05-02.sql	(revision 223)
@@ -12,12 +12,6 @@
 ) ENGINE=MyISAM DEFAULT CHARSET=latin1;
 
---
--- Dumping data for table `soraldo_ele_tipo`
---
 
 
-/*!40000 ALTER TABLE `soraldo_ele_tipo` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_tipo` WRITE;
 INSERT INTO `soraldo_ele_tipo` VALUES (1,'PROVINCIALI','it',3,'0','0','0','0'),(2,'REFERENDUM','it',0,'0','0','0','0'),(3,'COMUNALI','it',5,'0','0','0','0'),(4,'CIRCOSCRIZIONALI','it',5,'0','0','0','1'),(5,'BALLOTTAGGIO COMUNALI','it',1,'0','0','0','0'),(6,'CAMERA','it',2,'0','0','0','0'),(7,'SENATO','it',2,'0','0','0','0'),(8,'EUROPEE','it',4,'1','0','0','0'),(9,'REGIONALI','it',5,'0','0','0','0'),(10,'SENATO CON GRUPPI','it',5,'1','0','1','0'),(11,'CAMERA CON GRUPPI','it',5,'1','0','1','0'),(12,'PROVINCIALI CON COLLEGI','it',3,'0','0','0','1'),(13,'BALLOTTAGGIO PROVINCIALI','it',1,'0','0','0','0'),(14,'EUROPEE CON COLLEGI','it',4,'0','0','0','1'),(15,'CAMERA CON GRUPPI E COLLEGI','it',5,'1','0','1','1'),(16,'SENATO CON GRUPPI E COLLEGI','it',5,'1','0','1','1'),(17,'REGIONALI CON COLLEGI','it',5,'0','0','0','1');
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_tipo` ENABLE KEYS */;
+
Index: trunk/sql/update_2014.php
===================================================================
--- trunk/sql/update_2014.php	(revision 223)
+++ trunk/sql/update_2014.php	(revision 223)
@@ -0,0 +1,68 @@
+<?php
+// apertura db
+
+@require_once("../admin/config.php");
+# verifica se effettuata la configurazione
+if(!$dbi = mysql_connect($dbhost, $dbuname, $dbpass)){
+die("br/><br/><b>Ci sono dei problemi di connessione al Server $dbtype<br/>". mysql_error()."");
+}
+if(!mysql_select_db($dbname)){
+die("<br/><b>Ci sono dei problemi di connessione al DataBase $dbtype, </b><br/>". mysql_error()."");
+}
+mysql_query("SET NAMES 'utf8'", $dbi);
+
+
+
+
+## widget per blocchi laterali
+echo "Inserimento widget.sql <br/>";
+if( mysql_num_rows(mysql_query("SHOW TABLES LIKE 'soraldo_ele_widget' ")) < 1){
+update_sql("widget.sql");
+} else { 
+echo 'widget sql esiste... <span style="color:#ff0000;"><b>nessuna modifica</b></span><br/>';
+}
+
+# Modifica la struttura di soraldo_ele_conf e soraldo_ele_fasce
+echo "<b>Modificata la struttura di soraldo_ele_conf e soraldo_ele_fasce<br/> 
+Inserimento aggiornamento-2.0_2014-04-22.sql</b> <br/>";
+update_sql("aggiornamento-2.0_2014-04-22.sql");
+
+# Modifica la struttura e i tipi i consultazione soraldo_ele_tipo
+echo "<b>Modificata la struttura e i tipi i consultazione soraldo_ele_tipo<br>
+Inserimento aggiornamento-2.0_2014-05-02.sql</b> <br/>";
+update_sql("aggiornamento-2.0_2014-05-02.sql");
+
+# Creazione tabella soraldo_ele_controllosez per il controllo delle sezioni
+echo "<b>Creata tabella soraldo_ele_controllosez per il controllo delle sezioni<br/>
+Inserimento aggiornamento-2.0_2014-06-01.sql</b> <br/>";
+update_sql("aggiornamento-2.0_2014-06-01.sql");
+
+echo"</br></br>Fine update... nel caso ci fossero problemi leggere i messaggi di errore<br/>";
+
+
+function update_sql($sqlfile){
+  
+  $queries = file_get_contents($sqlfile);
+  // Rimuovo eventuali commenti
+  $queries = preg_replace(array('/\/\*.*(\n)*.*(\*\/)?/', '/\s*--.*\n/', '/\s*#.*\n/'), "\n", $queries);
+  // recupero le singole istruzioni
+  $statements = explode(";\n", $queries);
+  $statements = preg_replace("/\s/", ' ', $statements);
+  // ciclo le istruzioni
+
+  foreach ($statements as $query) {
+   $query = trim($query);
+   if ($query) {
+      // eseguo la singola istruzione
+      $result = mysql_query($query);
+      // e stampo eventuali errori
+      if (!$result) echo '============================<br/><span style="color:#ff0000;"><b>Impossibile eseguire la query</b> </span><br/>' . $query . ': ' . mysql_error();
+	else echo '============================<br/>'.$query .'<br><b><span style="color:#ff0000;">inserimeno ok</b></span><br/>';
+   }
+
+  }
+}
+
+?>
+
+
Index: trunk/sql/widget.sql
===================================================================
--- trunk/sql/widget.sql	(revision 222)
+++ trunk/sql/widget.sql	(revision 223)
@@ -1,23 +1,2 @@
--- MySQL dump 10.11
---
--- Host: localhost    Database: eleonline
--- ------------------------------------------------------
--- Server version	5.0.45-log
-
-/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
-/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
-/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
-/*!40101 SET NAMES utf8 */;
-/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
-/*!40103 SET TIME_ZONE='+00:00' */;
-/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
-/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
-/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
-/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
-
---
--- Table structure for table `soraldo_ele_widget`
---
-
 DROP TABLE IF EXISTS `soraldo_ele_widget`;
 CREATE TABLE `soraldo_ele_widget` (
@@ -31,22 +10,5 @@
 ) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=latin1;
 
---
--- Dumping data for table `soraldo_ele_widget`
---
 
-LOCK TABLES `soraldo_ele_widget` WRITE;
-/*!40000 ALTER TABLE `soraldo_ele_widget` DISABLE KEYS */;
 INSERT INTO `soraldo_ele_widget` VALUES (1,'00_affluenze.php','00_affluenze.php',0,0,1),(2,'01_votanti.php','01_votanti.php',1,0,0),(3,'02_risultati.php','02_risultati.php',0,0,1),(4,'04_sezioni.php','04_sezioni.php',1,0,0),(5,'bar_affluenze.php','bar_affluenze.php',1,0,0),(6,'bloccocand.php','bloccocand.php',1,0,0),(7,'bloccogen.php','bloccogen.php',1,0,0),(8,'bloccolink.php','bloccolink.php',1,0,0),(9,'bloccoref.php','bloccoref.php',1,0,0),(10,'gom_affluenze.php','gom_affluenze.php',0,0,1),(11,'off_Votanti.php','off_Votanti.php',0,0,1),(12,'pie_affluenze.php','pie_affluenze.php',1,0,0);
-/*!40000 ALTER TABLE `soraldo_ele_widget` ENABLE KEYS */;
-UNLOCK TABLES;
-/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;
 
-/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
-/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
-/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
-/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
-/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
-/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
-/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
-
--- Dump completed on 2010-03-22 13:20:41