Index: trunk/client/modules/Elezioni/consiglieri.php
===================================================================
--- trunk/client/modules/Elezioni/consiglieri.php	(revision 221)
+++ trunk/client/modules/Elezioni/consiglieri.php	(revision 224)
@@ -320,5 +320,5 @@
   }
  }
- if (!$sorteggio){
+ if (!$sorteggio and $cand){
  	$eletti[$cand]++;
  	$ultimo=$cand;
@@ -448,5 +448,4 @@
 	$testseggio=calcoloseggi($elencog,floor($numcons*(100-$suppremio)/100),0);
 	foreach($testseggio as $testk=>$valk) {if($valk) $sindseggiopre[]=$testk; }
-#foreach ($gruppomin as $key=>$val) {if (($numcons*60/100)<$val) $nopremio=0;if($key!=$gruppo){echo "<br>gruppomin: $key -- $val";}}
 ##################
 $descrsind=$desgruppi[$gruppo];
@@ -524,7 +523,7 @@
 	foreach($groups as $testk=>$valk) {if($testk!=$gruppo) $elencog[$testk]=$valk;}
 	$perdente[$gruppoperd]=$groups[$gruppoperd];
-	$testseggio=calcoloseggi($perdente,floor($numcons*($suppremio)/100),0);
-#	foreach($testseggio as $testk=>$valk) echo "<br>testgruppo: $valk - $testk - $gruppoperd";
-	foreach($sindseggiopre as $testk=>$valk){ if(!$testseggio[$valk]) $sindseggio[$valk]=$valk;}
+	$testseggio=calcoloseggi($elencog,floor($numcons-$numcons*($suppremio)/100),0);
+	foreach($testseggio as $testk=>$valk) 
+	foreach($sindseggiopre as $testk=>$valk){ if(isset($testseggio[$valk]) and $testseggio[$valk]) continue; $sindseggio[$valk]=$testk;}
 ########### 
     $sindaco[$gruppo]=$groups[$gruppo]; $groups[$gruppo]=0;
@@ -560,6 +559,4 @@
 	foreach ($seggitmp as $keyl=>$vall){#echo "<br> lista: $vall - $keyl - $grp - $gruppo";
 	if($vall==0) continue; 
-#	foreach ($sindseggio as $key=>$val){
-#		if (in_array($keyl,$collegate) and ! isset($tempo[$keyl])) $tempo[$keyl]=number_format($quozienti[$keyl][$vall-1],2);
 
 		$res = mysql_query("SELECT id_gruppo from ".$prefix."_ele_lista where num_lista='$keyl' and id_cons='$id_cons'",$dbi);
@@ -567,34 +564,30 @@
 		$res = mysql_query("SELECT num_gruppo from ".$prefix."_ele_gruppo where id_gruppo='$tempig' and id_cons='$id_cons'",$dbi);
 		list($tempng)=mysql_fetch_row($res); 
-		if (in_array($tempng,$grpinc)) {$listdec[$tempng][]=$keyl;}
+		if (in_array($tempng,$sindseggio)) {$listdec[$tempng][]=$keyl;}
 } 
 }
-}		/*		while(){
-			if(isset($tempo[$tempnl])) echo "<br> tempnl: $tempnl -- key:$key".$tempo[$key];
-		}
-*/
+}
 ##########
-#echo "<br> key: $key2 - $val2";
-	$seggimag=calcoloseggi($listemag,$val,1);#foreach ($grpinc as $keyl=>$vall) 
+	$seggimag=calcoloseggi($listemag,$val,1);
 
 ####cerca ultimo seggio assegnato per gruppo di liste collegate al primo turno
 	foreach ($seggimag as $key2=>$val2){ if($val2==0) continue;
-#	echo "<br>quozienti - $key2:".$quozienti[$key2][($val2)];
-	if(!isset($ultquoz[($grpinc[$key2])]) and $grpinc[$key2]) {$ultquoz[($grpinc[$key2])]=$quozienti[$key2][($val2-1)];$lastlist[($grpinc[$key2])]=$key2;}
-	elseif ($ultquoz[($grpinc[$key2])]>$quozienti[$key2][($val2-1)]) {$ultquoz[($grpinc[$key2])]=$quozienti[$key2][($val2-1)];$lastlist[($grpinc[$key2])]=$key2;}
-	#	if(in_array($key,$listdec)) $val--;
-} #foreach($lastlist as $keyl=>$vall) echo "<br> seggi: $keyl - $vall";
-	#####
-	foreach ($seggimag as $key2=>$val2){
+	if($arposiz=array_search($key2,$sindseggio)) {
+foreach($listdec[$key2] as $ark=>$arv) {
+		if(!isset($ultquoz[($sindseggio[$key2])]) and $sindseggio[$key2]) {$ultquoz[($sindseggio[$key2])]=$quozienti[$arv][($val2-1)];$lastlist[($sindseggio[$key2])]=$arv;}
+		elseif ($ultquoz[($sindseggio[$key2])]>$quozienti[$arv][($val2-1)]) {$ultquoz[($sindseggio[$key2])]=$quozienti[$arv][($val2-1)];$lastlist[($sindseggio[$key2])]=$arv;
+		}
+	}} 
+
+	}
+ 	foreach ($seggimag as $key2=>$val2){ 
 	## condizione per esclusione di un seggio da destinare al sindaco non eletto    in_array($key2,$lastlist)
+	if(isset($lastlist))
 		foreach($lastlist as $key3=>$val3){
 		if($key2==$val3) { 
-			$arappo=array_shift($arvin[$key2]);
-			foreach($listdec as $kk=>$vv) {foreach($vv as $vvk=>$vvv) if ($vvv==$key2) $tmpgrp=$kk; }
-			if($tmpgrp){
-			array_unshift($arvin[$key2],$desgruppi[$tmpgrp]); array_unshift($arvin[$key2],$arappo);array_unshift($cifra[$key2],"--");array_unshift($cifra[$key2],"--");
-			} 
-			}}
-		#$val--;
+			$arappo=array_shift($arvin[$key2]);$tpmgrp=0;
+					array_unshift($arvin[$key2],$desgruppi[$key3]); array_unshift($arvin[$key2],$arappo);array_unshift($cifra[$key2],"--");array_unshift($cifra[$key2],"--");
+			}
+		}
 	## fine condizione - impostare variabile in db per differenziare il comportamento per consultazioni diverse
 		for ($z=0;$z<$val2;$z++){ 
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 221)
+++ trunk/client/versione.php	(revision 224)
@@ -1,3 +1,3 @@
 <?php
-$versione="2.0 rev 221";
+$versione="2.0 rev 224";
 ?> 