Index: /trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_voti.php	(revision 226)
+++ /trunk/admin/modules/Elezioni/ele_voti.php	(revision 227)
@@ -52,5 +52,10 @@
 if ($conscirc){  // or $num_circ==1
 	if (!$id_circ){
-		$res = mysql_query("SELECT id_circ FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' order by num_circ limit 0,1", $dbi);
+		if (!$id_sez){
+			$res = mysql_query("SELECT id_sez FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' and num_sez='1'", $dbi);
+			list($id_sez)=mysql_fetch_row($res);
+		}
+		$res = mysql_query("SELECT t1.id_circ FROM ".$prefix."_ele_sede as t1 left join ".$prefix."_ele_sezioni as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' and t2.id_sez='$id_sez'", $dbi);
+		#$res = mysql_query("SELECT id_circ FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' order by num_circ limit 0,1", $dbi);
 		if (!$res) die("Errore, non trovo circoscrizioni inserite! Consultare l'amministratore");
 		list($id_circ)=mysql_fetch_row($res);
@@ -66,5 +71,5 @@
 	$tmp=implode (",",$idsezi);
 	$sezi = "and id_sez in ($tmp)";
-	$circo = "and id_circ='$id_circ'";
+	$circo = "and id_circ='$id_circ'"; 
 }else{
 	$sezi='';
@@ -73,5 +78,5 @@
 
 function stato_rilevazione($id_sez,$solosede){
-global $id_cons, $prefix, $dbi, $id_cons_gen,$status,$genere,$votol, $votog, $votoc,$idrefgruppo,$num_ril;
+global $id_cons, $prefix, $dbi, $id_cons_gen,$status,$genere,$votol, $votog, $votoc,$idrefgruppo,$num_ril,$circo;
 
 if($idrefgruppo and $genere==0) $perref= "and id_gruppo='$idrefgruppo'";
@@ -213,5 +218,5 @@
 #						if($contains==0) $tutte=1; else $tutte=0;
 							
-							$query="SELECT id_lista FROM ".$prefix."_ele_lista where id_cons='$id_cons'";
+							$query="SELECT id_lista FROM ".$prefix."_ele_lista where id_cons='$id_cons' $circo";
 							$res3 = mysql_query("$query", $dbi); 
 							$contaliste=mysql_num_rows($res3);
@@ -534,5 +539,12 @@
 $result = mysql_query("SELECT preferenze, id_fascia, id_conf from ".$prefix."_ele_cons_comune where id_cons='$id_cons'",$dbi);
 list($numprefs,$fascia,$id_conf)=mysql_fetch_row($result);
-    
+####### 06-11-2014 - circoscrizionali - nello spostamento ad altra sezione resta sullo stesso numero di lista anche se sono sezioni di diverse circoscrizioni
+if ($circo and $id_lista){
+	$res_lis = mysql_query("SELECT num_lista from ".$prefix."_ele_lista where id_lista=$id_lista",$dbi);
+	list($num_lista)=mysql_fetch_row($res_lis);
+	$res_lis = mysql_query("SELECT id_lista from ".$prefix."_ele_lista where num_lista=$num_lista and id_cons='$id_cons' $circo",$dbi);
+	list($id_lista)=mysql_fetch_row($res_lis);
+}
+#######    
 if(!$votog and ($genere==3 or $genere==5))
 	$result = mysql_query("select validi_lista,nulli,bianchi,contestati_lista,voti_nulli_lista from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez' ", $dbi);
@@ -661,5 +673,5 @@
 
 
-		$result = mysql_query("select t1.* from ".$prefix."_ele_candidati as t1 left join ".$prefix."_ele_lista as t2 on (t1.id_lista=t2.id_lista) WHERE t1.id_cons=$id_cons and t1.id_cons=t2.id_cons $ele_lista ORDER BY t2.num_lista,t1.num_cand", $dbi);
+		$result = mysql_query("select t1.* from ".$prefix."_ele_candidati as t1 left join ".$prefix."_ele_lista as t2 on (t1.id_lista=t2.id_lista) WHERE t1.id_cons=$id_cons and t1.id_cons=t2.id_cons $ele_lista $circo ORDER BY t2.num_lista,t1.num_cand", $dbi);
 		$max = mysql_num_rows($result);
 		$tot_pref=0;
Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 226)
+++ /trunk/admin/versione.php	(revision 227)
@@ -1,3 +1,3 @@
 <?php
-$versione="2.0 rev 226";
+$versione="2.0 rev 227";
 ?> 
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 226)
+++ /trunk/client/versione.php	(revision 227)
@@ -1,3 +1,3 @@
 <?php
-$versione="2.0 rev 226";
+$versione="2.0 rev 227";
 ?> 
Index: /trunk/install/sql/eleonline.sql
===================================================================
--- /trunk/install/sql/eleonline.sql	(revision 226)
+++ /trunk/install/sql/eleonline.sql	(revision 227)
@@ -117,4 +117,5 @@
  stato_lis int(1),
  stato_can int(1),
+ status int(1) DEFAULT '0',
  primary key (id_sez)
  ) ENGINE=MyISAM DEFAULT CHARSET=latin1;