Index: trunk/client/footer.php
===================================================================
--- trunk/client/footer.php	(revision 229)
+++ trunk/client/footer.php	(revision 230)
@@ -18,4 +18,8 @@
 <div> "._INVIOSEGN." <a href=\"modules.php?name=Elezioni&amp;file=index&amp;op=contatti\"> "._CLICCAQUI."</a> "; 
 
+ 
+if($is_mobile) //variabile presa dall'header per il riconoscimento del mobile
+echo "<br /><h1><a href=\"modules.php?name=Elezioni&nocell=0\">Versione Mobile - Smartphone e Tablet</a></h1>";
+
 
 /************************************************************************/
@@ -24,5 +28,5 @@
 
  echo "<br />[<a href=\"http://www.eleonline.it\"><b>Eleonline $versione</b></a> - "._GESRIS." ]<br />
-	<a href=\"modules.php?name=Elezioni&amp;op=evvai\">Gruppo di lavoro "._COMUNE."  $descr_com</a>
+	<!-- <a href=\"modules.php?name=Elezioni&amp;op=evvai\">Gruppo di lavoro "._COMUNE."  $descr_com</a> -->
 <br /><br /></div>";
 //global $id_comune;
Index: trunk/client/header.php
===================================================================
--- trunk/client/header.php	(revision 229)
+++ trunk/client/header.php	(revision 230)
@@ -13,9 +13,15 @@
 }
 
+### tema mobile Futura 2 
+include("inc/mobile.php"); // riconoscimento mobile
+$is_mobile=is_mobile(); 
+	if($is_mobile && $nocell!=1){
+		$tema="Futura2";
+	}
+
 include("temi/$tema/index.php"); 
 include("modules/Elezioni/language/lang-$lang.php");
 
-
-function head() {
+function head(){
 	global $csv,$tema,$tour;
 	echo '
@@ -27,9 +33,13 @@
 	echo "<link rel=\"stylesheet\" href=\"temi/$tema/style.css\" type=\"text/css\" />\n\n\n";
 	include("inc/javascript.php"); # rotazione (18 marzo 2009) tema tour
+	##### tema mobile
+	if (file_exists("temi/$tema/themeutils.php")) {
+	include("temi/$tema/themeutils.php"); #incluso x tema mobile
+	}
 
 	echo "\n\n\n</head>\n";
 	# rotazione per tema tour
 	if (isset($_SESSION['ruota'])){$csv=1; echo "<body onload=\"loadpage()\"";}
-	else echo "<body onload=\"initialize()\"";
+	else echo "<body";
 	if (!$csv) echo " style=\"background-image: url(temi/$tema/images/sfondo.jpg); background-repeat:repeat-x;\"";
 	echo " >\n";
@@ -38,8 +48,6 @@
 	include_once("modules/Elezioni/funzioni.php");
 	if (!$csv)testata();
-
-  }
-
-head();
+}
+head();  
 
 ?>
Index: trunk/client/modules.php
===================================================================
--- trunk/client/modules.php	(revision 229)
+++ trunk/client/modules.php	(revision 230)
@@ -89,8 +89,10 @@
 // apre database
 ////////////////////////
-
-@require_once("config.php");
+if (file_exists("config.php")) @require_once("config.php"); else $install="1";
+
+
+
 # verifica se effettuata la configurazione
-if(empty($dbname)) {
+if(empty($dbname) || $istall=="1") {
     die("<html><body><div style=\"text-align:center\"><br /><br /><img src=\"modules/Elezioni/images/logo.jpg\" alt=\"Eleonline\" title=\"Eleonline\"><br /><br /><strong>Sembra che <a href='http://www.eleonline.it' title='Eleonline'>Eleonline</a> non sia stato ancora installato.<br /><br />Puoi procedere <a href='../install/index.php'>cliccando qui</a> per iniziare l'installazione</strong></div></body></html>");
 }
@@ -143,4 +145,9 @@
 $tema_on = intval($row['tema_on']);
 $ed_user = $row['ed_user'];
+#tema mobile
+$cellulare = intval($row['cellulare']);
+
+
+
 # altre config
 $res = mysql_query("SELECT * FROM ".$prefix."_ele_comuni where id_comune='$siteistat' ", $dbi);
@@ -225,4 +232,5 @@
         if(preg_match("/%/i", $tema)) $tema="default";// evita xss
         $_SESSION['newtema']="$tema";
+	
         }
 if (isset($_SESSION['newtema'])) {
@@ -230,4 +238,16 @@
 	if (preg_match("/%/i",$_SESSION['newtema'])) $_SESSION['newtema']="default"; // xss
 }
+
+//ritorno disabilita tema cellulare dal file backtoapp e dal footer lo riattiva
+if (isset($param['nocell'])){
+$nocell=$param['nocell'];
+$_SESSION['newcell']="$nocell";
+}
+if (isset($_SESSION['newcell'])) $nocell=$_SESSION['newcell']; 
+
+
+
+
+
 $PHP_SELF=$_SERVER['PHP_SELF'];
 $file=(isset($_GET['file'])) ? htmlentities($_GET['file']):"index";
Index: trunk/client/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/client/modules/Elezioni/language/lang-it.php	(revision 229)
+++ trunk/client/modules/Elezioni/language/lang-it.php	(revision 230)
@@ -246,5 +246,5 @@
 define("_FBTHANKSFORCONTACT","Grazie per averci contattato. ");
 define("_GESRIS","gestione risultati elettorali");
-define("_INVIOSEGN","Per rendere questo servizio piu' efficiente puoi inviare segnalazioni e suggerimenti a");
+define("_INVIOSEGN","Per rendere questo servizio migliore puoi inviare segnalazioni/suggerimenti a");
 define("_CLICCAQUI","questo indirizzo");
 define("_GOBACK","[ <a href=\"javascript:history.go(-1)\">Indietro</a> ]");
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 229)
+++ trunk/client/versione.php	(revision 230)
@@ -1,3 +1,7 @@
 <?php
-$versione="2.0 rev 229";
+
+$versione = "2.0 rev 230";
+$version_number = $versione;
+$version = "Eleonline $version_number (<i>Data Release: 17 maggio 2015</i>)";
+
 ?> 