Index: trunk/client/config.php
===================================================================
--- trunk/client/config.php	(revision 233)
+++ trunk/client/config.php	(revision 233)
@@ -0,0 +1,26 @@
+<?php
+
+/************************************************************************/
+/* Eleonline - Raccolta e diffusione dei dati elettorali                */
+/* by Roberto Gigli & Luciano Apolito                                   */
+/* http://www.eleonline.it                                              */
+/* info@eleonline.it  luciano@aniene.net rgigli@libero.it               */
+/************************************************************************/
+
+
+if (stristr("config.php",$_SERVER['PHP_SELF'])) {
+        Header("Location: index.php");
+	die();
+}
+
+
+/* Variabili di configurazione accesso db */
+$dbhost = "localhost";
+$dbuname = "root";
+$dbpass = "pollo3";
+$dbname = "eleonline";
+$prefix = "soraldo";
+$dbtype = "MySQL";
+
+ini_set('display_errors',0);
+?>
Index: trunk/client/header.php
===================================================================
--- trunk/client/header.php	(revision 232)
+++ trunk/client/header.php	(revision 233)
@@ -24,5 +24,5 @@
 
 function head(){
-	global $csv,$tema,$tour;
+	global $csv,$tema,$tour,$sitename,$pagetitle,$simbolo,$siteurl;
 	echo '
 	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
@@ -30,5 +30,6 @@
 	echo "<head>\n";
 	echo "<meta http-equiv=\"Content-Type\" content=\"text/html;charset=utf-8\" />";
-	echo "<title>Eleonline - Elezioni on line</title>\n";
+	//echo "<title>Eleonline - Elezioni on line</title>\n";
+	echo '<title>'.$sitename.' '.$pagetitle.'</title>'."\n";
 	echo "<link rel=\"stylesheet\" href=\"temi/$tema/style.css\" type=\"text/css\" />\n\n\n";
 	include("inc/javascript.php"); # rotazione (18 marzo 2009) tema tour
@@ -37,5 +38,5 @@
 	include("temi/$tema/themeutils.php"); #incluso x tema mobile
 	}
-
+	echo "\n<link rel=\"image_src\" href=\"$siteurl/modules/Elezioni/images/$simbolo\" />"; #img fb
 	echo "\n\n\n</head>\n";
 	# rotazione per tema tour
Index: trunk/client/modules/Elezioni/blocchi/social.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/social.php	(revision 233)
+++ trunk/client/modules/Elezioni/blocchi/social.php	(revision 233)
@@ -0,0 +1,36 @@
+<?php
+/************************************************************************/
+/* Condivisione   	  	                                        */
+/* blocco 2015                                                                     */
+/************************************************************************/
+echo '<h5>Condividi</h5>';
+
+global $descr_com,$descr_cons,$simbolo;
+
+$url="http://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
+$url = htmlentities(urlencode($url));
+
+
+
+echo "
+<div id=\"share-buttons\" style=\"text-align:center;\">
+ 
+<!-- Facebook -->
+<a href=\"http://www.facebook.com/sharer.php?t=modules/Elezioni/images/$simbolo&u=$url\" target=\"_blank\"><img src=\"modules/Elezioni/images/facebook.png\" alt=\"Facebook\" /></a>
+ 
+
+<!-- Twitter -->
+
+<!-- Twitter -->
+<a href=\"http://twitter.com/share?url=$url&text=$descr_com $descr_cons&hashtags=Eleonline\" target=\"_blank\"><img src=\"modules/Elezioni/images/twitter.png\" alt=\"Twitter\" /></a>
+ 
+
+ 
+<!-- Google+ -->
+<a href=\"https://plus.google.com/share?url=$url\" target=\"_blank\"><img src=\"modules/Elezioni/images/google.png\" alt=\"Google\" /></a>";
+ 
+
+echo "</div>";
+
+
+
Index: trunk/client/modules/Elezioni/funzioni.php
===================================================================
--- trunk/client/modules/Elezioni/funzioni.php	(revision 232)
+++ trunk/client/modules/Elezioni/funzioni.php	(revision 233)
@@ -472,3 +472,40 @@
 
 
+# funzione per il titolo della pagina
+function pagetitle($op,$info){
+
+	if($op=="consiglieri")$pagetitle="Proiezione del Consiglio Comunale"; //mettere l'elenco
+	if($op=="gruppo_circo")$pagetitle="Risultati per Circoscrizioni";
+	if($op=="gruppo_sezione")$pagetitle="Risultati per Sezione";
+	if($op=="lista_circo")$pagetitle="Risultati Lista per Circoscrizione";
+	if($op=="lista_sezione")$pagetitle="Risultati Lista per Sezione";
+	if($op=="candidato_circo")$pagetitle="Risultati Candidati per Circoscrizione";
+	if($op=="candidato_sezione")$pagetitle="Risultati Candidati per Sezione";
+
+
+
+	if($op=="affluenze_graf")$pagetitle="Grafici Affluenze";
+	if($op=="graf_votanti")$pagetitle="Grafici Votanti";
+	if($op=="graf_candidato")$pagetitle="Grafici Candidati";
+	if($op=="graf_gruppo")$pagetitle="Grafico Principale";
+	if($op=="graf_lista")$pagetitle="Grafico Lista";
+
+	if($op=="gruppo")$pagetitle="Quadro elezioni riassuntivo";
+	if($op=="liste")$pagetitle="Voti Liste";
+	if($op=="partiti")$pagetitle="Voti Partito";
+	if($op=="contatti")$pagetitle="Contatti";
+
+
+	if($info=="come")$pagetitle="Come si vota";
+	if($info=="numeri")$pagetitle="Numeri Utili";
+	if($info=="servizi")$pagetitle="Servizi elettorali";
+	if($info=="link")$pagetitle="Link Utili";
+	if($info=="dati")$pagetitle="Dati Generali";
+
+	return $pagetitle;
+}
+
+
+
+
 ?>
Index: trunk/client/modules/Elezioni/index.php
===================================================================
--- trunk/client/modules/Elezioni/index.php	(revision 232)
+++ trunk/client/modules/Elezioni/index.php	(revision 233)
@@ -102,11 +102,15 @@
 if ($rss!=1   && $xls!=1 && $pdf!=1){ 
     $index = 1;
-    include("header.php");
-    if($csv!=1){
-	include_once("modules/Elezioni/funzioni.php");
-	
 	$res = mysql_query("SELECT descrizione,simbolo FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ", $dbi);
 	list($descr_com,$simbolo) = mysql_fetch_row($res);
         $descr_com =stripslashes($descr_com); 
+	# titolo pagina 2015
+	include_once("modules/Elezioni/funzioni.php");
+	$pagetitle= pagetitle($op,$info);
+	$pagetitle= $descr_com." - ".$descr_cons." - ".$pagetitle; 	
+
+	include("header.php");
+    	if($csv!=1){
+	  //include_once("modules/Elezioni/funzioni.php");
 	echo "<table width=\"100%\"><tr><td>";
 	$siteistat=$id_comune;
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 232)
+++ trunk/client/versione.php	(revision 233)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "2.0 rev 232";
+$versione = "2.0 rev 233";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Data Release: 18 maggio 2015</i>)";
+$version = "Eleonline $version_number (<i>Data Release: 25 maggio 2015</i>)";
 
 ?> 