Index: trunk/admin/inc/ckeditor/filemanager/check.php
===================================================================
--- trunk/admin/inc/ckeditor/filemanager/check.php	(revision 239)
+++ trunk/admin/inc/ckeditor/filemanager/check.php	(revision 240)
@@ -1,17 +1,5 @@
 <?php
 
-##############################################
-# WL-CMS inclusion                           #
-# adapted to Accessbile Portal               #
-# =================                          #
-# Copyright (c) 2010 by Weblord              #
-# http://www.weblord.it                      #
-# http://www.webelite.it                     #
-# http://www.portaleacccessibile.com         #
-##############################################
 
-if (!defined('FILEMANAGER_FILE')) {
-	die("Non puoi accedere direttamente a questo file...");
-}
 error_reporting(E_ALL ^ E_NOTICE);
 function check_admin() {
Index: trunk/admin/modules/Elezioni/ele_configurazione.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_configurazione.php	(revision 239)
+++ trunk/admin/modules/Elezioni/ele_configurazione.php	(revision 240)
@@ -85,9 +85,11 @@
 	$resmod = mysql_query("SELECT tema FROM ".$prefix."_ele_temi order by tema", $dbi);
 
-	echo "<td><select name=\"tema2\"><option value=\"\">";
+	echo "<td><select name=\"tema2\">\n";
+
 	while (list($desc) = mysql_fetch_row($resmod)){
 			if (!$gru['tema']) $gru['tema']=$desc;
-			$sel= ($gru['tema']==$desc) ? "selected":"";
-			echo "<option value=\"".$desc."\" $sel>".$desc;
+				$sel= ($gru['tema']==$desc) ? "selected":"";
+				echo "<option value=\"".$desc."\" $sel>".$desc."\n";
+		
 		}
 	echo "</select></td></tr>";
@@ -105,6 +107,8 @@
 	."<tr><td><b>"._SITEURL."</b></td><td><input type=\"text\" name=\"siteurl\" value=\"".$gru['siteurl']."\"></td>";
 	echo"<td><b>"._TESTATA."</b></td>";
-	echo "<td><input type=\"file\" name=\"sitelogo\" size=\"10\"></td></tr>";
-#	echo"<td><b>"._SITENAME."</b></td><td><input type=\"text\" name=\"sitename\" value=\"".$gru['sitename']."\"></td></tr>";
+	echo "<td><input type=\"file\" name=\"sitelogo\" size=\"10\"></td><td> </td></tr>";
+
+	echo"<td><b>"._SITENAME."</b></td><td><input type=\"text\" name=\"sitename\" value=\"".$gru['sitename']."\"></td></tr>";
+
 	$resmod = mysql_query("SELECT id_comune,descrizione FROM ".$prefix."_ele_comuni order by descrizione", $dbi);
 	echo "<tr><td><b>"._SITEISTAT."</b></td>";
@@ -121,9 +125,13 @@
 	$sel= ($gru['googlemaps']==1) ? "selected":"";
 	echo "<tr><td><b>"._GOOGLEMAPS."</b></td><td><select name=\"googlemaps\"><option value=\"0\">No<option value=\"1\" $sel>Si</select></td>";
+	/* tolta la chiave
 	echo "<td><b>"._GKEY."</b></td><td><input type=\"text\" name=\"gkey\" value=\"".$gru['gkey']."\"></td></tr>";
+	*/
 	$sel= ($gru['editor']==1) ? "selected":"";
-	echo "<tr><td><b>"._EDITOR."</b></td><td><select name=\"editor\"><option value=\"0\">No<option value=\"1\" $sel>Si</select></td>";
-	echo "<td><b>"._EDUSER."</b></td>";
+	echo "<td><b>"._EDITOR."</b></td><td><select name=\"editor\"><option value=\"0\">No<option value=\"1\" $sel>Si</select></td></tr>";
+
+	/* echo "<td><b>"._EDUSER."</b></td>";
 	echo "<td><select name=\"ed_user\">";
+	
 	$sel=$gru['ed_user']=='Admin'? "selected":"";
 			echo "<option value=\"Admin\" $sel>Admin";
@@ -132,4 +140,5 @@
 	$sel=$gru['ed_user']=='Eleonline'? "selected":"";
 			echo "<option value=\"Eleonline\" $sel>Eleonline</td></tr>";
+	*/
 
 	echo "<tr>";
@@ -172,5 +181,5 @@
 #displayerrors='$displayerrors', 
 #per il momento non Ãš usato: , site_logo='$site_logo'
-		$result = mysql_query("update  ".$prefix."_config set testata='$stemmablob', nome_testata='$stemmanome', blocco='$blocco', multicomune='$multicomune', language='$language2', siteistat='$siteistat', adminmail='$adminmail', sitename='$sitename', siteurl='$siteurl', flash='$flash2', tema='$tema2',gkey='$gkey',ed_user='$ed_user',googlemaps='$googlemaps',editor='$editor',tema_on='$tema_on' ", $dbi) || die("Errore di aggiornamento dei dati!".mysql_error());
+		$result = mysql_query("update  ".$prefix."_config set sitename='$sitename', testata='$stemmablob', nome_testata='$stemmanome', blocco='$blocco', multicomune='$multicomune', language='$language2', siteistat='$siteistat', adminmail='$adminmail', siteurl='$siteurl', flash='$flash2', tema='$tema2',gkey='$gkey',ed_user='$ed_user',googlemaps='$googlemaps',editor='$editor',tema_on='$tema_on'", $dbi) || die("Errore di aggiornamento dei dati!".mysql_error());
 	if ($tema2=='facebook')
 		$_SESSION['tema']=$tema2;
Index: trunk/admin/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/admin/modules/Elezioni/language/lang-it.php	(revision 239)
+++ trunk/admin/modules/Elezioni/language/lang-it.php	(revision 240)
@@ -174,6 +174,7 @@
 define("_GKEY","Chiave per google maps");
 define("_GOOGLEMAPS","Attivare l'accesso alle google maps?");
-define("_EDITOR","Utilizzare l' FCKeditor?");
+define("_EDITOR","Utilizzare CKeditor?");
 define("_EDUSER","Permessi d'uso di FCKeditor");
+define("_NOMESITO","Nome del sito per le elezioni");
 define("_CONFIGDEFAULT","Impostazioni di configurazione generale");
 define("_CONFIGURAZIONE","Configurazione sito");
Index: trunk/admin/versione.php
===================================================================
--- trunk/admin/versione.php	(revision 239)
+++ trunk/admin/versione.php	(revision 240)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "2.0 rev 239";
+$versione = "2.0 rev 240";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Data Release: 6 giugno 2015</i>)";
+$version = "Eleonline $version_number (<i>Data Release: 7 giugno 2015</i>)";
 
 ?> 
Index: trunk/client/header.php
===================================================================
--- trunk/client/header.php	(revision 239)
+++ trunk/client/header.php	(revision 240)
@@ -24,5 +24,5 @@
 
 function head(){
-	global $csv,$tema,$tour,$sitename,$pagetitle,$simbolo,$siteurl;
+	global $csv,$tema,$tour,$sitename,$pagetitle,$simbolo,$siteurl,$siteistat;
 	echo '
 	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
@@ -32,4 +32,13 @@
 	//echo "<title>Eleonline - Elezioni on line</title>\n";
 	echo '<title>'.$sitename.' '.$pagetitle.'</title>'."\n";
+	echo "<meta name=\"title\" content=\"$sitename\" />\n";
+	echo "<meta name=\"description\" content=\"$pagetitle\" />\n"; 
+
+	if(file_exists("modules/Elezioni/images/$siteistat.png")){     
+		echo "<link rel=\"image_src\" href=\"modules/Elezioni/images/$siteistat.png\" />\n"; #img fb
+	}else{ 
+		echo "<link rel=\"image_src\" href=\"modules/Elezioni/images/logo.gif\" />\n"; #img fb
+	}
+
 	echo "<link rel=\"stylesheet\" href=\"temi/$tema/style.css\" type=\"text/css\" />\n\n\n";
 	include("inc/javascript.php"); # rotazione (18 marzo 2009) tema tour
@@ -38,5 +47,5 @@
 	include("temi/$tema/themeutils.php"); #incluso x tema mobile
 	}
-	echo "\n<link rel=\"image_src\" href=\"$siteurl/modules/Elezioni/images/$simbolo\" />"; #img fb
+	
 	echo "\n\n\n</head>\n";
 	# rotazione per tema tour
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 239)
+++ trunk/client/versione.php	(revision 240)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "2.0 rev 238";
+$versione = "2.0 rev 240";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Data Release: 05 giugno 2015</i>)";
+$version = "Eleonline $version_number (<i>Data Release: 07 giugno 2015</i>)";
 
 ?> 