Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 242)
+++ /trunk/admin/versione.php	(revision 243)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "2.0 rev 240";
+$versione = "2.0 rev 243";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Data Release: 7 giugno 2015</i>)";
+$version = "Eleonline $version_number (<i>Data Release: 08 luglio 2015</i>)";
 
 ?> 
Index: /trunk/client/modules/Elezioni/blocchi/cookie_law.php
===================================================================
--- /trunk/client/modules/Elezioni/blocchi/cookie_law.php	(revision 243)
+++ /trunk/client/modules/Elezioni/blocchi/cookie_law.php	(revision 243)
@@ -0,0 +1,100 @@
+<?php
+/************************************************************************/
+/* Eleonline - Raccolta e diffusione dei dati elettorali                */
+/* by Luciano Apolito & Roberto Gigli                                   */
+/* http://www.eleonline.it                                              */
+/* info@eleonline.it  luciano@aniene.net rgigli@libero.it               */
+/************************************************************************/
+/* cookie law : widget per informativa sui cookie */
+/* vers. 1.0 - maggio 2015 by apoluc */
+/* ps: la sola funzione puo' essere usata anche in un sito o pagine singole, blog o altro oppure per chi non usa javascript per accessibilitÃ  */
+
+#-> la var $varlaw puo' essere dichiarata anche altrove, per esempio in un file di configurazione
+
+$varlaw=array();
+
+#--> lancia la funzione
+cookie_law($varlaw);
+
+###############
+function cookie_law($varlaw){
+	# by apoluc 2015
+	#--> configurazione variabili
+	# disabilitare tutte nel caso si proceda all'invio della var $varlaw tramite richiamo alla funzione. es:cookie_law($varlaw); 
+
+	$varlaw["testo"]="Questo sito utilizza limitatamente i cookie per questioni tecniche e di funzionalita"; // testo messaggio
+	$varlaw["continua"]="Accetta"; // testo bottone accettazione
+	$varlaw["info"]="Maggiori info"; // testo bottone info . lasciare vuoto nel caso non si hanno altre info 
+	$varlaw["link"]="#"; // link del doc maggiori info - puo' essere il link anche esterno, o indirizzato ad una pagina html....
+	$varlaw["colsfondo"]="#ff0000"; // colore sfondo del messaggio
+	$varlaw["coltesto"]="#ffffff"; // colore testo del messaggio
+	$varlaw["colbordo"]="#ffffff"; // colore bordo del messaggio
+	
+
+
+
+	# preleva la var per la registrazione del cookie
+	$param=strtolower($_SERVER['REQUEST_METHOD']) == 'get' ? $_GET : $_POST;
+	if (isset($param['c_law'])) get_magic_quotes_gpc() ? $c_law=$param['c_law']:$c_law=addslashes($param['c_law']); else $c_law='';
+	$url_law=$_SERVER['REQUEST_URI']; // url della pagina per il reload	
+
+	# verifica e scrive il cookie di avvenuto avviso	
+	if($c_law=="ok"){ 
+		$value="ok";
+		setcookie ("cookie_law", $value,time()+3600*24*365 ); /* verrÃ  cancellato dopo  1anno */
+		header("location:$url_law ");
+
+	} 
+
+
+	#--> verifica se esiste il cookie e stampa l'avviso
+	if (isset($_COOKIE ["cookie_law"])){
+	}else{
+	echo "<div style=\"position:fixed; width:100%; height:30px; background-color:".$varlaw['colsfondo']."; border: 1px solid ".$varlaw['colbordo']."; color:".$varlaw['coltesto']." ; margin:0; left:0; top:0; padding:4px; z-index:1000; text-align:center;\">";
+
+		echo "<table style=\"width:80%;text-align:center;border:none;\">
+			<tr>
+			   <td style=\"text-align:right;border:none;\"> ".$varlaw['testo']."  
+			   </td>
+			   <td style=\"text-align:center;border:none;color:".$varlaw['coltesto']."\">  
+				<form method=\"post\" name=\"ok\" action=\"\">		
+				<input type=\"hidden\" name=\"c_law\" value=\"ok\">
+				<input type=\"submit\" value=\"".$varlaw['continua']."\">
+				</form>";
+			if($varlaw['info']!=''){
+				echo "	</td><td style=\"text-align:center;border:none;\">
+				<form method=\"post\"  name=\"info\" action=\"".$varlaw['link']."  \">
+				<input type=\"submit\" value=\"".$varlaw['info']."  \">
+				</form></form>";
+			}
+		echo " 	</td></tr></table>
+		</div>";
+	}
+
+} #fine funzione 
+
+
+#--> Blocco per eleonline
+echo "<h5>Privacy</h5>";
+$param=strtolower($_SERVER['REQUEST_METHOD']) == 'get' ? $_GET : $_POST;
+if (isset($param['c_law'])) get_magic_quotes_gpc() ? $c_law=$param['c_law']:$c_law=addslashes($param['c_law']); else $c_law='';
+$url_law=$_SERVER['REQUEST_URI']; // url della pagina per il reload
+
+
+if($c_law=="ko"){ // azzera i cookie 
+	
+	setcookie("cookie_law","");
+	header("location:$url_law ");
+}
+
+echo"<div style=\"align-text:center;\">
+	<form method=\"post\" name=\"ko\" action=\"\">		
+	<input type=\"hidden\" name=\"c_law\" value=\"ko\">
+	<input type=\"submit\" value=\"Informazione sulla Privacy\">
+	</form>
+	</div>";
+
+
+
+
+?>
Index: /trunk/client/temi/altro/menu.css
===================================================================
--- /trunk/client/temi/altro/menu.css	(revision 242)
+++ /trunk/client/temi/altro/menu.css	(revision 243)
@@ -16,11 +16,13 @@
 .main-header {
   margin: auto;
-  width: 75%;
+  width: 100%;
   min-height: 30px;
   padding: 1em 2em;
+	/*
   border: 2px solid #2675a9;
   border-top: none;
   border-radius: 0 0 5px 5px;
 	background: #2980b9;
+	*/
 }
   .main-header:after {
@@ -62,7 +64,8 @@
     text-decoration: none;
   }
+/*
 .dropdown,
 .flyout {
-  /*position: relative;*/
+  position: relative;
 }
 .dropdown:after {
@@ -74,4 +77,5 @@
   right: 12%;
 }
+*/
 .drop-nav,
 .flyout-nav {
Index: /trunk/client/temi/altro/menu.php
===================================================================
--- /trunk/client/temi/altro/menu.php	(revision 242)
+++ /trunk/client/temi/altro/menu.php	(revision 243)
@@ -17,6 +17,7 @@
 	$rescomu= mysql_query("$sqlcomu",$dbi);
 	list($descr_com,$fascia)=mysql_fetch_row($rescomu);
-        
-	echo '  <header class="main-header">
+        echo "\n";
+	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;width:900px;"><tr><td>
+		  <header class="main-header">
 		<ul class="main-nav">	    
 		<li>
@@ -228,7 +229,8 @@
 } // fine tema
 echo "<li><a href=\"http://www.eleonline.it/site/modules.php?name=Contatti\"><i><span style=\"font-size:10px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
-     by luciano apolito & roberto gigli</span></i></a>
+     by l.apolito & r.gigli</span></i></a>
 	    </li>";
-echo "</ul></header>";
+echo "</ul></header>
+</tr></td></table>";
 
 
Index: /trunk/client/temi/altro/style.css
===================================================================
--- /trunk/client/temi/altro/style.css	(revision 242)
+++ /trunk/client/temi/altro/style.css	(revision 243)
@@ -268,4 +268,5 @@
 	text-align:center;
 	width: 900px;
+
 	
 }
Index: /trunk/client/temi/blog/menu.css
===================================================================
--- /trunk/client/temi/blog/menu.css	(revision 242)
+++ /trunk/client/temi/blog/menu.css	(revision 243)
@@ -16,5 +16,5 @@
 .main-header {
   margin: auto;
-  width: 75%;
+  width: 100%;
   min-height: 30px;
   padding: 1em 2em;
@@ -62,7 +62,8 @@
     text-decoration: none;
   }
+/*
 .dropdown,
 .flyout {
-  /*position: relative;*/
+  position: relative;
 }
 .dropdown:after {
@@ -74,4 +75,5 @@
   right: 12%;
 }
+*/
 .drop-nav,
 .flyout-nav {
Index: /trunk/client/temi/blog/menu.php
===================================================================
--- /trunk/client/temi/blog/menu.php	(revision 242)
+++ /trunk/client/temi/blog/menu.php	(revision 243)
@@ -18,5 +18,5 @@
 	list($descr_com,$fascia)=mysql_fetch_row($rescomu);
         
-	echo '  <header class="main-header">
+	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;"><tr><td>
 		<ul class="main-nav">	    
 		<li>
@@ -230,5 +230,6 @@
      by luciano apolito & roberto gigli</span></i></a>
 	    </li>";
-echo "</ul></header>";
+echo "</ul></header>
+</td></tr></table><br/>";
 
 
Index: /trunk/client/temi/default/menu.css
===================================================================
--- /trunk/client/temi/default/menu.css	(revision 242)
+++ /trunk/client/temi/default/menu.css	(revision 243)
@@ -16,5 +16,5 @@
 .main-header {
   margin: auto;
-  width: 75%;
+  width: 100%;
   min-height: 30px;
   padding: 1em 2em;
@@ -62,8 +62,11 @@
     text-decoration: none;
   }
+
+/*
 .dropdown,
 .flyout {
-  /*position: relative;*/
+  position: relative;
 }
+
 .dropdown:after {
  content: "\25BC";
@@ -74,4 +77,5 @@
   right: 12%;
 }
+*/
 .drop-nav,
 .flyout-nav {
@@ -79,4 +83,5 @@
   display: none;
 }
+
 .drop-nav li {
   border-bottom: 1px solid rgba(255,255,255,.2);
@@ -86,10 +91,13 @@
   display: block;
 }
+
 .flyout-nav {
   left: 100%;
   top: 0;
 }
+
 .flyout:hover a,
 .flyout-nav {
   background: #395066;
+
 }
Index: /trunk/client/temi/default/menu.php
===================================================================
--- /trunk/client/temi/default/menu.php	(revision 242)
+++ /trunk/client/temi/default/menu.php	(revision 243)
@@ -18,5 +18,6 @@
 	list($descr_com,$fascia)=mysql_fetch_row($rescomu);
         
-	echo '  <header class="main-header">
+	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;"><tr><td>
+  <header class="main-header">
 		<ul class="main-nav">	    
 		<li>
@@ -227,8 +228,11 @@
     echo "</ul></li>";
 } // fine tema
+/*
 echo "<li><a href=\"http://www.eleonline.it/site/modules.php?name=Contatti\"><i><span style=\"font-size:10px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
      by luciano apolito & roberto gigli</span></i></a>
 	    </li>";
-echo "</ul></header>";
+*/
+
+echo "</ul></header></tr></td></table>";
 
 
Index: /trunk/client/temi/default/style.css
===================================================================
--- /trunk/client/temi/default/style.css	(revision 242)
+++ /trunk/client/temi/default/style.css	(revision 243)
@@ -25,6 +25,6 @@
 div#container{
     
-    width: 798;
-    margin: 0px auto;   /*centra */
+    width: 75%;
+    margin: auto;   /*centra */
     
     }
Index: /trunk/client/temi/stylized/menu.css
===================================================================
--- /trunk/client/temi/stylized/menu.css	(revision 242)
+++ /trunk/client/temi/stylized/menu.css	(revision 243)
@@ -62,7 +62,8 @@
     text-decoration: none;
   }
+/*
 .dropdown,
 .flyout {
-  /*position: relative;*/
+  position: relative;
 }
 .dropdown:after {
@@ -74,4 +75,5 @@
   right: 12%;
 }
+*/
 .drop-nav,
 .flyout-nav {
Index: /trunk/client/temi/stylized/menu.php
===================================================================
--- /trunk/client/temi/stylized/menu.php	(revision 242)
+++ /trunk/client/temi/stylized/menu.php	(revision 243)
@@ -18,5 +18,6 @@
 	list($descr_com,$fascia)=mysql_fetch_row($rescomu);
         
-	echo ' <div> <header class="main-header">
+	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;"><tr><td>
+		<header class="main-header">
 		<ul class="main-nav">	    
 		<li>
@@ -230,5 +231,5 @@
      by luciano apolito & roberto gigli</span></i></a>
 	    </li>";
-echo "</ul></header></div>";
+echo "</ul></header></td></tr></table>";
 
 
Index: /trunk/client/temi/tour/menu.css
===================================================================
--- /trunk/client/temi/tour/menu.css	(revision 242)
+++ /trunk/client/temi/tour/menu.css	(revision 243)
@@ -16,5 +16,5 @@
 .main-header {
   margin: auto;
-  width: 75%;
+  width: 100%;
   min-height: 30px;
   padding: 1em 2em;
@@ -62,8 +62,10 @@
     text-decoration: none;
   }
+/*
 .dropdown,
 .flyout {
-  /*position: relative;*/
+  position: relative;
 }
+
 .dropdown:after {
  content: "\25BC";
@@ -74,4 +76,5 @@
   right: 12%;
 }
+*/
 .drop-nav,
 .flyout-nav {
Index: /trunk/client/temi/tour/menu.php
===================================================================
--- /trunk/client/temi/tour/menu.php	(revision 242)
+++ /trunk/client/temi/tour/menu.php	(revision 243)
@@ -18,5 +18,5 @@
 	list($descr_com,$fascia)=mysql_fetch_row($rescomu);
         
-	echo '  <header class="main-header">
+	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;"><tr><td>
 		<ul class="main-nav">	    
 		<li>
@@ -230,5 +230,6 @@
      by luciano apolito & roberto gigli</span></i></a>
 	    </li>";
-echo "</ul></header>";
+echo "</ul></header>
+</td></tr></table>";
 
 
Index: /trunk/client/temi/yellowblu/menu.css
===================================================================
--- /trunk/client/temi/yellowblu/menu.css	(revision 242)
+++ /trunk/client/temi/yellowblu/menu.css	(revision 243)
@@ -16,5 +16,5 @@
 .main-header {
   margin: auto;
-  width: 75%;
+  width: 100%;
   min-height: 30px;
   padding: 1em 2em;
@@ -62,7 +62,8 @@
     text-decoration: none;
   }
+/*
 .dropdown,
 .flyout {
-  /*position: relative;*/
+  position: relative;
 }
 .dropdown:after {
@@ -74,4 +75,5 @@
   right: 12%;
 }
+*/
 .drop-nav,
 .flyout-nav {
Index: /trunk/client/temi/yellowblu/menu.php
===================================================================
--- /trunk/client/temi/yellowblu/menu.php	(revision 242)
+++ /trunk/client/temi/yellowblu/menu.php	(revision 243)
@@ -18,5 +18,6 @@
 	list($descr_com,$fascia)=mysql_fetch_row($rescomu);
         
-	echo '  <header class="main-header">
+	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;"><tr><td>
+	     <header class="main-header">
 		<ul class="main-nav">	    
 		<li>
@@ -230,5 +231,6 @@
      by luciano apolito & roberto gigli</span></i></a>
 	    </li>";
-echo "</ul></header>";
+echo "</ul></header>
+</tr></td></table>";
 
 
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 242)
+++ /trunk/client/versione.php	(revision 243)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "2.0 rev 240";
+$versione = "2.0 rev 243";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Data Release: 07 giugno 2015</i>)";
+$version = "Eleonline $version_number (<i>Data Release: 08 luglio 2015</i>)";
 
 ?> 